# xrect

draw a rectangle

## Calling Sequence

    xrect(x,y,w,h)
                xrect(rect) // with rect =[x,y,w,h]

## Arguments

x,y,w,h

  four real values defining the rectangle.

## Description

`xrect` draws a rectangle defined by `[x,y,w,h]` (upper-left point, width, height) in user coordinates.

Please note that height is positive downwards.

Created rectangle inherits the clip property from the current axes.

## Examples

    plot2d(0,0,-1,"010"," ",[-2,-2,2,2])
    xset("color",5)
    xrect(-1,1,2,2)

plot2d(0,0,-1,"010"," ",[-2,-2,2,2]) xset("color",5) xrect(-1,1,2,2)

## See Also

- xfrect
- xrects